<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>Configuration</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Configuration";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Configuration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?fr/inria/alpage/frmgcm/Configuration.html" target="_top">Frames</a></li>
<li><a href="Configuration.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm</div>
<h2 title="Class Configuration" class="title">Class Configuration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.Configuration</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Configuration</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#appHome">appHome</a></strong></code>
<div class="block">home var directory of the app (used for logs, process outputs, resources, etc)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#clusterHost">clusterHost</a></strong></code>
<div class="block">Default host for ssh execution <code>Utils.SSH</code></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#cmaHtmlIndexFile">cmaHtmlIndexFile</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#d3jsUrl">d3jsUrl</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#DPATH_RESULT_CACHE_MAX_SIZE">DPATH_RESULT_CACHE_MAX_SIZE</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#dpathQueryHistoryMaxSize">dpathQueryHistoryMaxSize</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#elasticSearchHost">elasticSearchHost</a></strong></code>
<div class="block">elasticsearch hostname</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#elasticSearchPort">elasticSearchPort</a></strong></code>
<div class="block">elasticsearch listening port</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#frmgparserproxyurl">frmgparserproxyurl</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#home">home</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#id_rioc">id_rioc</a></strong></code>
<div class="block">Location of the public key (no password) used for connecting through ssh to the cluster host</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#logFile">logFile</a></strong></code>
<div class="block">Main log file</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#logLevel">logLevel</a></strong></code>
<div class="block">Log level</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#mgwikiHost">mgwikiHost</a></strong></code>
<div class="block">Host url of mgwiki instance</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#mgwikiSentencesUrl">mgwikiSentencesUrl</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#noRioc">noRioc</a></strong></code>
<div class="block">boolean used for local dev</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#permissionServiceURL">permissionServiceURL</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#riocServerPath">riocServerPath</a></strong></code>
<div class="block">Base directory for corpus processing in the cluster host</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#serverPort">serverPort</a></strong></code>
<div class="block">Listening webservice port</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#tagsetsFilePath">tagsetsFilePath</a></strong></code>
<div class="block">file path where to save the gathered tagsets</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#templateDispatchConfFilepath">templateDispatchConfFilepath</a></strong></code>
<div class="block">Path file of the base template for corpus process configuration</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#templateEndHandlerFilepath">templateEndHandlerFilepath</a></strong></code>
<div class="block">Path file of the base template for the script that will be called when corpus process is finished (basically call a mgwiki webservice)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#verbose">verbose</a></strong></code>
<div class="block">display log in standard output</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#websocketPort">websocketPort</a></strong></code>
<div class="block">Listening websocket port</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#Configuration()">Configuration</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../fr/inria/alpage/frmgcm/Configuration.html#Init(java.lang.String)">Init</a></strong>(java.lang.String&nbsp;configfilepath)</code>
<div class="block">Read a config file and override default values</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="home">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>home</h4>
<pre>public static&nbsp;java.lang.String home</pre>
</li>
</ul>
<a name="appHome">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>appHome</h4>
<pre>public static&nbsp;java.lang.String appHome</pre>
<div class="block">home var directory of the app (used for logs, process outputs, resources, etc)</div>
</li>
</ul>
<a name="mgwikiHost">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mgwikiHost</h4>
<pre>public static&nbsp;java.lang.String mgwikiHost</pre>
<div class="block">Host url of mgwiki instance</div>
</li>
</ul>
<a name="elasticSearchHost">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>elasticSearchHost</h4>
<pre>public static&nbsp;java.lang.String elasticSearchHost</pre>
<div class="block">elasticsearch hostname</div>
</li>
</ul>
<a name="elasticSearchPort">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>elasticSearchPort</h4>
<pre>public static&nbsp;java.lang.String elasticSearchPort</pre>
<div class="block">elasticsearch listening port</div>
</li>
</ul>
<a name="serverPort">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>serverPort</h4>
<pre>public static&nbsp;int serverPort</pre>
<div class="block">Listening webservice port</div>
</li>
</ul>
<a name="websocketPort">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>websocketPort</h4>
<pre>public static&nbsp;int websocketPort</pre>
<div class="block">Listening websocket port</div>
</li>
</ul>
<a name="logFile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>logFile</h4>
<pre>public static&nbsp;java.lang.String logFile</pre>
<div class="block">Main log file</div>
</li>
</ul>
<a name="logLevel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>logLevel</h4>
<pre>public static&nbsp;int logLevel</pre>
<div class="block">Log level</div>
</li>
</ul>
<a name="verbose">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>verbose</h4>
<pre>public static&nbsp;boolean verbose</pre>
<div class="block">display log in standard output</div>
</li>
</ul>
<a name="noRioc">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>noRioc</h4>
<pre>public static&nbsp;boolean noRioc</pre>
<div class="block">boolean used for local dev</div>
</li>
</ul>
<a name="clusterHost">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clusterHost</h4>
<pre>public static&nbsp;java.lang.String clusterHost</pre>
<div class="block">Default host for ssh execution <code>Utils.SSH</code></div>
</li>
</ul>
<a name="id_rioc">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id_rioc</h4>
<pre>public static&nbsp;java.lang.String id_rioc</pre>
<div class="block">Location of the public key (no password) used for connecting through ssh to the cluster host</div>
</li>
</ul>
<a name="riocServerPath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>riocServerPath</h4>
<pre>public static&nbsp;java.lang.String riocServerPath</pre>
<div class="block">Base directory for corpus processing in the cluster host</div>
</li>
</ul>
<a name="tagsetsFilePath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tagsetsFilePath</h4>
<pre>public static&nbsp;java.lang.String tagsetsFilePath</pre>
<div class="block">file path where to save the gathered tagsets</div>
</li>
</ul>
<a name="templateDispatchConfFilepath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>templateDispatchConfFilepath</h4>
<pre>public static&nbsp;java.lang.String templateDispatchConfFilepath</pre>
<div class="block">Path file of the base template for corpus process configuration</div>
</li>
</ul>
<a name="templateEndHandlerFilepath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>templateEndHandlerFilepath</h4>
<pre>public static&nbsp;java.lang.String templateEndHandlerFilepath</pre>
<div class="block">Path file of the base template for the script that will be called when corpus process is finished (basically call a mgwiki webservice)</div>
</li>
</ul>
<a name="dpathQueryHistoryMaxSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dpathQueryHistoryMaxSize</h4>
<pre>public static&nbsp;int dpathQueryHistoryMaxSize</pre>
</li>
</ul>
<a name="permissionServiceURL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>permissionServiceURL</h4>
<pre>public static&nbsp;java.lang.String permissionServiceURL</pre>
</li>
</ul>
<a name="cmaHtmlIndexFile">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cmaHtmlIndexFile</h4>
<pre>public static&nbsp;java.lang.String cmaHtmlIndexFile</pre>
</li>
</ul>
<a name="frmgparserproxyurl">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>frmgparserproxyurl</h4>
<pre>public static&nbsp;java.lang.String frmgparserproxyurl</pre>
</li>
</ul>
<a name="mgwikiSentencesUrl">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mgwikiSentencesUrl</h4>
<pre>public static&nbsp;java.lang.String mgwikiSentencesUrl</pre>
</li>
</ul>
<a name="d3jsUrl">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>d3jsUrl</h4>
<pre>public static&nbsp;java.lang.String d3jsUrl</pre>
</li>
</ul>
<a name="DPATH_RESULT_CACHE_MAX_SIZE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DPATH_RESULT_CACHE_MAX_SIZE</h4>
<pre>public static&nbsp;int DPATH_RESULT_CACHE_MAX_SIZE</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Configuration()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Configuration</h4>
<pre>public&nbsp;Configuration()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="Init(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Init</h4>
<pre>public static&nbsp;<a href="../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;Init(java.lang.String&nbsp;configfilepath)</pre>
<div class="block">Read a config file and override default values</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configfilepath</code> - </dd>
<dt><span class="strong">Returns:</span></dt><dd>a boolean indicating if the process went well</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Configuration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../fr/inria/alpage/frmgcm/AppMain.User.html" title="class in fr.inria.alpage.frmgcm"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?fr/inria/alpage/frmgcm/Configuration.html" target="_top">Frames</a></li>
<li><a href="Configuration.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
